Page MenuHomePhabricator

Support escapes and quotes in string and character values.
ClosedPublic

Authored by ki.stfu on Jul 20 2015, 2:45 PM.

Details

Summary

Escape characters in strings and strings containing quotes were not appearing correctly in expression values.

Patch from paulmay@microsoft.com

Diff Detail

Event Timeline

paulmaybee updated this revision to Diff 30194.Jul 20 2015, 2:45 PM
paulmaybee retitled this revision from to Support escapes and quotes in string and character values..
paulmaybee updated this object.
paulmaybee added reviewers: abidh, ki.stfu, ChuckR.
paulmaybee added subscribers: lldb-commits, greggm.
ki.stfu requested changes to this revision.Jul 21 2015, 1:01 AM
ki.stfu edited edge metadata.

Looks good apart 1 inline comment in tests.

test/tools/lldb-mi/variable/main.cpp
63–65

please replace these strings with your improved strings (lines 67-72).

This revision now requires changes to proceed.Jul 21 2015, 1:01 AM
paulmaybee added inline comments.Jul 21 2015, 9:51 AM
test/tools/lldb-mi/variable/main.cpp
63–65

So you want me to remove the original tests instead of adding new tests?

ki.stfu added inline comments.Jul 21 2015, 8:53 PM
test/tools/lldb-mi/variable/main.cpp
63–65

Yes. Your tests are better and there is no reason to have both sets of tests.

paulmaybee updated this revision to Diff 30361.Jul 22 2015, 9:26 AM
paulmaybee edited edge metadata.

Replace "hello" with "\t\"hello\"\n" in string value tests.

ki.stfu accepted this revision.Jul 22 2015, 8:44 PM
ki.stfu edited edge metadata.

Please remove "###" and go ahead.

test/tools/lldb-mi/variable/TestMiGdbSetShowPrint.py
70

remove please

This revision is now accepted and ready to land.Jul 22 2015, 8:44 PM
paulmaybee updated this revision to Diff 30494.Jul 23 2015, 9:20 AM
paulmaybee edited edge metadata.

remove '###'

Can someone please check this in for me. Thanks.

Can someone please check this in for me. Thanks.

Sure, I can do it tomorrow.

ki.stfu commandeered this revision.Jul 27 2015, 10:42 PM
ki.stfu edited reviewers, added: paulmaybee; removed: ki.stfu.
This revision now requires review to proceed.Jul 27 2015, 10:42 PM
ki.stfu updated this object.Jul 27 2015, 10:42 PM
ki.stfu updated this revision to Diff 30782.Jul 27 2015, 10:42 PM

Rebase against ToT

This revision was automatically updated to reflect the committed changes.